summaryrefslogtreecommitdiff
path: root/tests/various/run-test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/various/run-test.sh')
-rwxr-xr-xtests/various/run-test.sh6
1 files changed, 6 insertions, 0 deletions
diff --git a/tests/various/run-test.sh b/tests/various/run-test.sh
new file mode 100755
index 00000000..67e1beb2
--- /dev/null
+++ b/tests/various/run-test.sh
@@ -0,0 +1,6 @@
+#!/bin/bash
+set -e
+for x in *.ys; do
+ echo "Running $x.."
+ ../../yosys -ql ${x%.ys}.log $x
+done